Can't upgrade iPhone 3Gs 4.1 to 4.3.2

Discussion in 'iPhone' started by tadashii18, Aug 27, 2011.

  1. tadashii18 macrumors newbie

    Joined:
    Aug 27, 2011
    #1
    Right now my iPhone is on firmware 4.1 with the 06.15.00 iPad baseband, and when I try to update it to 4.3.2 with iTunes, I get the error code 3194. How do I fix this problem ??
     
  2. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
    #2
    You have to use PwnageTool to make an IPSW that doens't try to upgrade the baseband. Then the upgrade will work. You'll have to always do this, until a way to downgrade the baseband is found or Apple releases a 3Gs baseband with a number higher that 6.15.

    Just a suggestion, the font is a little hard to read.
     
  3. tadashii18 thread starter macrumors newbie

    Joined:
    Aug 27, 2011
    #3
    I'm kind of a noob to all this =/ . Do you mind telling me how to do this or post a link explaining how to?
     
  4. rgarjr macrumors 603

    rgarjr

    Joined:
    Apr 2, 2009
    Location:
    Southern Cal
    #4
    Apple won't let u upgrade to anything lower than the latest firmware unless u have saved shsh blobs.
     
  5. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
    #5
  6. tadashii18 thread starter macrumors newbie

    Joined:
    Aug 27, 2011
  7. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
    #7
    Yes, for Windows, you'll have to use the slightly buggy sn0breeze.
     
  8. squakin1200 macrumors newbie

    Joined:
    Aug 28, 2011
    #8
    Hi all, im in the same boat, i have a 3gs on 4.1 and am trying to upgrade to 4.3.3 but when i upgrade, the lovely error 3194 displays. It seems that when apple checks the ISPW, it knows it lower than the current available and it stops me. Ive tried other solutions such as changing the Hosts files but nothing has worked.
    Intel, that link you provided is not very clear as to how it will stop apple from checking the ISPW as i open itunes and do the upgrade. You also mentioned the tool will make a custom ISPW that wont change the baseband, but the instructions didnt seem to let you choose a baseband. Anyone have any more intput as to my situation. I have a 3gs that has never been jalbroken and am only upgrading not down grading. Also, dont have SSHS since never jailbroken before.

    Thanks!!
     
  9. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
    #9
    The prevention you mention is iTunes failing to get the SHSH blobs for 4.3.3. There is no way around this, unless you have the SHSH blobs for your iPhone. When you make a custom IPSW, it automatically disables the baseband upgrade. There is no other box to check or button to click.

    You don't need to be jailbroken to have SHSH blobs for your iPhone. If you don't have them for your iPhone and the target firmware, there is no way to get them.
     
  10. squakin1200 macrumors newbie

    Joined:
    Aug 28, 2011
    #10
    My phone has never been on 4.3.3 thus I won't have those blobs. Can I use the 4.1 blobs instead?
     
  11. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
    #11
    You're iPhone doesn't need to ever be on a firmware to have SHSH blobs. Use TinyUmbrella to see which blobs you have. You can use your 4.1 blobs to restore your iPhone to 4.1. But you'll have to use a 4.1 compatible version of PwnageTool.
     
  12. squakin1200 macrumors newbie

    Joined:
    Aug 28, 2011
    #12
    If I'm trying upgrade from 4.1 to 4.3.3 what blobs would I use and how would I get em?
     
  13. Intell macrumors P6

    Intell

    Joined:
    Jan 24, 2010
    Location:
    Inside
    #13
    You would need your iPhone's 4.3.3 blobs. Use TinyUmbrella to see if Cydia has them.
     

Share This Page